function [y,xData,yData,fitresult,gof]=ExponentialModel(signal)
clear opts xData yData gof fitresult

[xData, yData] = prepareCurveData(  1:numel(signal),signal );

% Set up fittype and options.
ft = fittype( 'exp2' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [0.232213405143232 -0.102782222902527 -0.276189530528166 -0.280679854114957];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

y=gof.rsquare;