function [y,xData,yData,fitresult,gof]=FractionalModel(signal)
clear opts xData yData gof fitresult

[xData, yData] = prepareCurveData(  1:numel(signal),signal );

% Set up fittype and options.
ft = fittype( 'a/(1+(x-b)^2/c^2)', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [0.6 18 10];
% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );


% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

y=gof.rsquare;