function [y,xData,yData,fitresult,gof]=GaussianModel(signal)
clear opts xData yData gof fitresult
[xData, yData] = prepareCurveData( 1:numel(signal),signal );

% Set up fittype and options.
ft = fittype( 'gauss1' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.Lower = [-1000 -100 0];
opts.StartPoint = [0.0244379276637341 9 3.07426996279974];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

y=gof.rsquare;
